# ItemControl

Control access to craft, equip or consume items based on skill level or almanac class system.

## Credits

Commissioned by Aldari.

Original concept by <b>Detalhes</b>: https://thunderstore.io/c/valheim/p/Detalhes/ItemRequiresSkillLevel/

## Setup

Load the plugin to generate the file structure

Upon first load, the plugin will generate a new folder in your BepinEx/config directory named: "ItemControl"

Plugin will automatically generate an example yml file.

## Configurations

Create new yml files to add item requirements

## YML Structure

```yml
PrefabName: ArrowIron
CraftRequirements:
  SkillRequirements:
  - Skill: Bows
    Level: 1
  AlmanacClassRequirement:
    Level: 0
    Constitution: 0
    Dexterity: 0
    Strength: 0
    Intelligence: 0
    Wisdom: 0
EquipRequirements:
  SkillRequirements: []
  AlmanacClassRequirement:
    Level: 0
    Constitution: 0
    Dexterity: 0
    Strength: 0
    Intelligence: 0
    Wisdom: 0
ConsumeRequirements:
  SkillRequirements: []
  AlmanacClassRequirement:
    Level: 0
    Constitution: 0
    Dexterity: 0
    Strength: 0
    Intelligence: 0
    Wisdom: 0
```
## Changelog
```
1.0.0 - Initial release
1.0.1 - Fixed null reference trying to find ammo item
```
## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/v89DHnpvwS)

Or come find me at the [Modding Corner](https://discord.gg/fB8aHSfA8B)

##
If you enjoy this mod and want to support me:
[PayPal](https://paypal.me/mpei)

<span>
<img src="https://i.imgur.com/rbNygUc.png" alt="" width="150">
<img src="https://i.imgur.com/VZfZR0k.png" alt="https://www.buymeacoffee.com/peimalcolm2" width="150">
</span>
